# Struct symop_datablock

- Defined in File symmetry.hpp

## Struct Documentation

struct symop_datablock

  For each symmetry operator defined in the international tables we have an entry in this struct type. It contains the spacegroup number, the symmetry operations and the rotational number.

  Public Functions

  inline constexpr symop_datablock(int spacegroup, int rotational_number, const std::array<int, 15> &rt_data)

    constructor

  inline uint16_t spacegroup() const

    Return the spacegroup.

  inline symop_data symop() const

    Return the symmetry operation.

  inline uint8_t rotational_number() const

    Return the rotational_number.